<!-- 恒湿一体机 -->
<template>
    <div class="page-top">
        <div class="page-top-left">
            <DeviceImage :typeId="1911" />
        </div>
        <div class="page-top-center">
            <div style="flex: 1; margin-right: 16px ;">
                <AirQuality />
            </div>
            <div style="flex: 1">
                <div style="flex: 1; height: 263px">
                    <HumiditySensor />
                </div>
                <div style="flex: 1; height: 263px; margin-top: 16px">
                    <TemperatureSensor />
                </div>
            </div>
        </div>
        <div class="page-top-right">
            <DeviceStatus2 />
        </div>
    </div>
    <div class="page-middle">
        <div class="page-middle-left">
            <DeviceInfo />
        </div>
        <div class="page-middle-center">
            <EnvironmentalCurve />
        </div>
        <div class="page-middle-right">
            <DeviceWarning />
        </div>
    </div>
    <div class="page-bottom">
        <WarningInfo />
    </div>
</template>
<script lang="ts" name="HSYTJ" setup>
import DeviceInfo from '../components/DeviceInfo.vue';
import DeviceImage from '../components/DeviceImage.vue';
import HumiditySensor from '../components/HumiditySensor.vue';
import TemperatureSensor from '../components/TemperatureSensor.vue';
import EnvironmentalCurve from '../components/EnvironmentalCurve.vue';
import WarningInfo from '../components/WarningInfo.vue';
import DeviceStatus2 from '../components/DeviceStatus2.vue';
import DeviceWarning from '../components/DeviceWarning.vue';
import AirQuality from '../components/AirQuality.vue';

onMounted(() => {});
</script>
<style scoped lang="less">
.page-top-left {
    flex: 5;
}
.page-top-center {
    flex: 7;
    display: flex;
    margin: 0 16px;
}
.page-top-right {
    flex: 5;
    display: flex;
}

.page-middle-left {
    flex: 5;
    height: 280px;
}
.page-middle-center {
    flex: 7;
    margin: 0 16px;
    height: 280px;
}
.page-middle-right {
    flex: 5;
    height: 280px;
}
</style>
